<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ProveedorSeleccion extends Model
{
    protected $table = "rms_proveedor_seleccion";
    protected $fillable = ['proveedor_id', 'catalogo_id', 'firma_id', 'fecha', 'comentarios', 'total'];
    protected $dates = [ 'fecha' ];

    public function puntos(){
    	return $this->hasMany('App\ProveedorSeleccionPuntos', 'seleccion_id');
	}

	public function firma(){
    	return $this->hasOne('App\Firma', 'id', 'firma_id');
    }
}
